const system = require("../../../system");
module.exports = (db, DataTypes) => {
  return db.define("orderProduct", {
    order_num: DataTypes.STRING,  //订单号
    tx_orders_num: DataTypes.STRING,   //腾讯主订单号
    user_id: DataTypes.STRING,   //用户id
    user_name: DataTypes.STRING,   //用户名称
    region_id: DataTypes.STRING,    //地区id
    region_name: DataTypes.STRING,   //地区名称
    product_icon: DataTypes.STRING,    //产品图标
    product_type: DataTypes.STRING,    //需求类型（产品二类id）
    product_type_name: DataTypes.STRING,    //需求类型名称（产品二类名称）
    order_snapshot: DataTypes.JSON,     //订单快照
    product_snapshot:DataTypes.STRING    //产品快照
  }, {
      paranoid: false,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      timestamps: true,
      // updatedAt: true,
      // createdAt: true,
      //freezeTableName: true,
      // define the table's name
      tableName: 'b_order_product',
      validate: {

      },
      indexes: [
        // Create a unique index on email
        //  {
        //    unique: true,
        //    fields: ['email']
        //  },
        //
        //  // Creates a gin index on data with the jsonb_path_ops operator
        //  {
        //    fields: ['data'],
        //    using: 'gin',
        //    operator: 'jsonb_path_ops'
        //  },
        //
        //  // By default index name will be [table]_[fields]
        //  // Creates a multi column partial index
        //  {
        //    name: 'public_by_author',
        //    fields: ['author', 'status'],
        //    where: {
        //      status: 'public'
        //    }
        //  },
        //
        //  // A BTREE index with a ordered field
        //  {
        //    name: 'title_index',
        //    method: 'BTREE',
        //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
        //  }
      ]
    });
}
