const system = require("../../../system");
module.exports = (db, DataTypes) => {
  return db.define("needSolution", {
   
    need_num: DataTypes.STRING(100),	//need_num	需求号
    solution_num: DataTypes.STRING(100),	//	方案号
    user_id: DataTypes.STRING(100),	//user_id	用户id
    user_name: DataTypes.STRING(100),	//user_name	用户名称
    solution_content: DataTypes.JSON,	//solution_content	方案内容
    isRefusal: DataTypes.INTEGER,	//isRefusal	是否驳回
    refusal_notes: DataTypes.INTEGER,	//驳回原因
    refusal_notes: DataTypes.STRING(255),	//驳回/关闭原因
  }, {
      paranoid: true,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      timestamps: true,
      updatedAt: false,
      //freezeTableName: true,
      // define the table's name
      tableName: 'b_need_solution',
      validate: {

      },
      indexes: [
        // Create a unique index on email
        //  {
        //    unique: true,
        //    fields: ['email']
        //  },
        //
        //  // Creates a gin index on data with the jsonb_path_ops operator
        //  {
        //    fields: ['data'],
        //    using: 'gin',
        //    operator: 'jsonb_path_ops'
        //  },
        //
        //  // By default index name will be [table]_[fields]
        //  // Creates a multi column partial index
        //  {
        //    name: 'public_by_author',
        //    fields: ['author', 'status'],
        //    where: {
        //      status: 'public'
        //    }
        //  },
        //
        //  // A BTREE index with a ordered field
        //  {
        //    name: 'title_index',
        //    method: 'BTREE',
        //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
        //  }
      ]
    });
}
